Main (Groovy 5.0.6)

Package: org.apache.groovy.groovysh

## [Groovy] Class Main

- org.apache.groovy.groovysh.Main

-     class Main
      extends Object

  Groovy Repo modelled on JLine3 Groovy Repl demo

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `protected static class` | `Main.ExtraConsoleCommands` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `INTERPRETER_MODE_PREFERENCE_KEY` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `Main()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static Path` | `getUserStateDirectory()`
    `` | `static void` | `main(String[] args)`
    `` | `static int` | `start(Map<String, ?> initialBindings, String[] args)` Programmatic entry point for embedding groovysh.
    `` | `static int` | `start(String[] args)` Programmatic entry point for embedding groovysh.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### public static final String INTERPRETER_MODE_PREFERENCE_KEY

  - ### Constructor Detail

    - #### Main()

  - ### Method Detail

    - #### static Path getUserStateDirectory()

    - #### static void main(String[] args)

    - #### static int start(Map<String, ?> initialBindings, String[] args)

      Programmatic entry point for embedding groovysh.

      Parameters:
        `args` - CLI-like arguments (same as main(String[])).
        `initialBindings` - binding variables for the GroovyEngine
      Returns:
        process exit code (0 for success)

    - #### static int start(String[] args)

      Programmatic entry point for embedding groovysh.

      Parameters:
        `args` - CLI-like arguments (same as main(String[])).
      Returns:
        process exit code (0 for success)